package com.yihu.quota.model.cube;


import javax.persistence.*;

/**
 * 多维数据集的维度 entity
 * Created by janseny on 2018/9/10.
 * @author janseny
 */
@Entity
@Table(name = "olap_cube_mapping")
public class CubeMapping {
    private Integer id;
    private Integer cubeId;            //多维数据集ID
    private Integer dimensionId;      //维度ID
    private Integer dataFieldId;      //字段ID
    private String dict;                //字典
    private String algorithm;                   //中间算法
    private String parm;                        //算法参数
    private Integer childSaveType;              //子集映射格式类型 1 对象 2 子集
    private Integer parentId;                   //父级ID
    private Integer isNestedPrimarykey;        // 是否指定唯一字段 1是 0 否
    private Integer dataGetType;                //数据获取方式 1 直接获取 2 算法方式获取  3关联获取（一对一关联不支持一对多关联） 默认为一
    private Integer relationFieldId;            //关联表主键字段ID
    private Integer relationDataFieldId;       //关联表数据关联字段ID
    private Integer secondRelationId;           //二级关联维度ID

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", unique = true, nullable = false)
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Column(name = "cube_id")
    public Integer getCubeId() {
        return cubeId;
    }

    public void setCubeId(Integer cubeId) {
        this.cubeId = cubeId;
    }

    @Column(name = "data_field_id")
    public Integer getDataFieldId() {
        return dataFieldId;
    }

    public void setDataFieldId(Integer dataFieldId) {
        this.dataFieldId = dataFieldId;
    }

    @Column(name = "dimension_id")
    public Integer getDimensionId() {
        return dimensionId;
    }

    public void setDimensionId(Integer dimensionId) {
        this.dimensionId = dimensionId;
    }

    @Column(name = "dict")
    public String getDict() {
        return dict;
    }

    public void setDict(String dict) {
        this.dict = dict;
    }

    @Column(name = "algorithm")
    public String getAlgorithm() {
        return algorithm;
    }

    public void setAlgorithm(String algorithm) {
        this.algorithm = algorithm;
    }

    @Column(name = "parm")
    public String getParm() {
        return parm;
    }

    public void setParm(String parm) {
        this.parm = parm;
    }

    @Column(name = "child_save_type")
    public Integer getChildSaveType() {
        return childSaveType;
    }

    public void setChildSaveType(Integer childSaveType) {
        this.childSaveType = childSaveType;
    }

    @Column(name = "parent_id")
    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    @Column(name = "is_nested_primarykey")
    public Integer getIsNestedPrimarykey() {
        return isNestedPrimarykey;
    }

    public void setIsNestedPrimarykey(Integer isNestedPrimarykey) {
        this.isNestedPrimarykey = isNestedPrimarykey;
    }

    @Column(name = "data_get_type")
    public Integer getDataGetType() {
        return dataGetType;
    }

    public void setDataGetType(Integer dataGetType) {
        this.dataGetType = dataGetType;
    }

    @Column(name = "relation_field_id")
    public Integer getRelationFieldId() {
        return relationFieldId;
    }

    public void setRelationFieldId(Integer relationFieldId) {
        this.relationFieldId = relationFieldId;
    }

    @Column(name = "relation_data_field_id")
    public Integer getRelationDataFieldId() {
        return relationDataFieldId;
    }

    public void setRelationDataFieldId(Integer relationDataFieldId) {
        this.relationDataFieldId = relationDataFieldId;
    }

    @Column(name = "second_relation_id")
    public Integer getSecondRelationId() {
        return secondRelationId;
    }

    public void setSecondRelationId(Integer secondRelationId) {
        this.secondRelationId = secondRelationId;
    }
}
